%define _mozillapath	%{_libdir}/mozilla/plugins

%define build_debug 0
%{?_with_debug: %{expand: %%global build_debug 1}}
%{?_without_debug: %{expand: %%global build_debug 0}}

Name:		mozplugger
Version:	1.14.6
Release:	%mkrel 2
Summary:	Generic mozilla plug-in 
License:	GPLv2+
Group:		Networking/WWW
Source0:	http://www.mozdev.org/source/browse/~checkout~/mozplugger/downloads/mozplugger-%{version}.tar.gz
Source1:	http://umn.dl.sourceforge.net/sourceforge/mplayerplug-in/mini.tar.bz2
Source2:	mozmimetypes-1.4.1.tar.bz2
Patch1:		mozplugger-1.14.6-pulseaudio.patch
Patch2:		mozplugger-1.14.6-gqview.patch
URL:		http://mozplugger.mozdev.org/
Requires:	mikmod
Requires:	mpg123
Requires:	sox
Requires:	imagemagick
Requires:	geeqie
Requires:	mplayer >= 0.90-0.rc4
Requires:	perl-base
Requires:	TiMidity++
Requires:	gv >= 3.6.1
Requires:	xpdf
Requires:	m4
BuildRequires:	libx11-devel

%description
MozPlugger is a generic Mozilla plug-in that allows the use of standard Linux
programs as plug-ins for media types on the Internet.

%prep
%setup -q -a 1 -a 2
%patch1 -p1 -b .pulse
%patch2 -p1 -b .gqview

%build
%if %{build_debug}
%configure2_5x --enable-debug
%else
%configure2_5x
%endif

%make

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_mozillapath}/plugins \
	%{buildroot}%{_libdir}/netscape/plugins \
	%{buildroot}%{_bindir} \
	%{buildroot}%{_sysconfdir} \
	%{buildroot}%{_mandir}/man7 \
	%{buildroot}%{_datadir}/mplayer/Skin/mini

%{__install} -p -m 755 mozplugger-helper %{buildroot}%{_bindir}
%{__install} -p -m 755 mozplugger-controller %{buildroot}%{_bindir}
%{__install} -p -m 755 mozplugger-linker %{buildroot}%{_bindir}
%{__install} -p -m 755 mozplugger.so %{buildroot}%{_mozillapath}
%{__install} -p -m 644 mozpluggerrc %{buildroot}%{_sysconfdir}/mozpluggerrc
%{__install} -p -m 644 mozpluggerrc %{buildroot}%{_sysconfdir}/mozpluggerrc.default
%{__install} -p -m 644 mozplugger.7 %{buildroot}%{_mandir}/man7

%{__mkdir_p} %{buildroot}%{_mozillapath}
%{__ln_s} %{_mozillapath}/mozplugger.so \
	%{buildroot}%{_libdir}/netscape/plugins/mozplugger.so
%{__install} -p -m 644 mini/*.png mini/skin mini/VERSION mini/README \
	%{buildroot}%{_datadir}/mplayer/Skin/mini/

%{__install} -p -m 755 enable_mozmimetypes %{buildroot}%{_bindir}
%{__ln_s} ./enable_mozmimetypes %{buildroot}%{_bindir}/disable_mozmimetypes

%{__install} -p -m 755 mozpluggerrc-sanitize %{buildroot}%{_bindir}
%{__perl} -pi -e \
	"s|\@LIBDIR\@|%{_libdir}|g;\
	 s|\@SYSCONFDIR\@|%{_sysconfdir}|g;\
	 s|\@PLUGINDIR\@|%{_mozillapath}|g;\
	 s|\@BINDIR\@|%{_bindir}|g;\
	 s|Mplayerplugin|Gecko-mediaplayer|g;\
	 s|mplayerplugin|gecko-mediaplayer|g;\
	 s|mplayerplug-in|gecko-mediaplayer|g;" \
		%{buildroot}%{_bindir}/mozpluggerrc-sanitize

perl -pi -e 's@ooffice2.0@libreoffice@g' \
%{buildroot}%{_sysconfdir}/mozpluggerrc \
	%{buildroot}%{_sysconfdir}/mozpluggerrc.default

perl -pi -e 's|mpg321 -q -@|mpg123 -q -@|g' \
%{buildroot}%{_sysconfdir}/mozpluggerrc \
	%{buildroot}%{_sysconfdir}/mozpluggerrc.default

%if %build_debug
export DONT_STRIP=1
%endif

%clean
%{__rm} -rf %{buildroot}


%triggerin -- gecko-mediaplayer
[ "$2" -ge 1 ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
	if [ -x %{_bindir}/disable_mozmimetypes ]; then
		%{_bindir}/disable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
			application/x-drm-v2 \
			application/x-mplayer2 \
			application/x-ogg \
			application/x-quicktimeplayer \
			application/x-ms-wmw \
			application/x-nsv-vp3-mp3 \
			audio/ogg \
			audio/wav \
			audio/x-ms-wax \
			audio/x-ms-wma \
			audio/x-wav \
			video/anim \
			video/dl \
			video/fli \
			video/mp4 \
			video/mpeg \
			video/msvideo \
			video/quicktime \
			video/sgi-movie \
			video/x-anim \
			video/x-dl \
			video/x-fli \
			video/x-mpeg \
			video/x-mpeg2 \
			video/x-ms-asf \
			video/x-ms-asf-plugin \
			video/x-msvideo \
			video/x-ms-wm \
			video/x-ms-wmv \
			video/x-ms-wvx \
			image/x-macpaint \
			video/x-quicktime \
			video/x-sgi-movie
		touch %{_mozillapath}/mozplugger.so
	fi
fi

%triggerun -- gecko-mediaplayer
[ "$2" = "0" ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
	if [ -x %{_bindir}/enable_mozmimetypes ]; then
		%{_bindir}/enable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
			application/x-drm-v2 \
			application/x-mplayer2 \
			application/x-ogg \
			application/x-quicktimeplayer \
			application/x-ms-wmv \
			application/x-nsv-vp3-mp3 \
			audio/ogg \
			audio/wav \
			audio/x-ms-wax \
			audio/x-ms-wma \
			audio/x-wav \
			video/anim \
			video/dl \
			video/fli \
			video/mp4 \
			video/mpeg \
			video/msvideo \
			video/quicktime \
			video/sgi-movie \
			video/x-anim \
			video/x-dl \
			video/x-fli \
			video/x-mpeg \
			video/x-mpeg2 \
			video/x-ms-asf \
			video/x-ms-asf-plugin \
			video/x-msvideo \
			video/x-ms-wm \
			video/x-ms-wmv \
			video/x-ms-wvx \
			image/x-macpaint \
			video/x-quicktime \
			video/x-sgi-movie
		touch %{_mozillapath}/mozplugger.so
	fi
fi

%triggerpostun -- gecko-mediaplayer
[ "$2" = "0" ] || exit 0
if [ -r %{_sysconfdir}/mozpluggerrc ]; then
	if [ -x %{_bindir}/enable_mozmimetypes ]; then
		%{_bindir}/enable_mozmimetypes %{_sysconfdir}/mozpluggerrc \
			application/x-drm-v2 \
			application/x-mplayer2 \
			application/x-ogg \
			application/x-quicktimeplayer \
			application/x-ms-wmv \
			application/x-nsv-vmp3-mp3 \
			audio/ogg \
			audio/wav \
			audio/x-ms-wax \
			audio/x-ms-wma \
			audio/x-wav \
			video/anim \
			video/dl \
			video/fli \
			video/mp4 \
			video/mpeg \
			video/msvideo \
			video/quicktime \
			video/sgi-movie \
			video/x-anim \
			video/x-dl \
			video/x-fli \
			video/x-mpeg \
			video/x-mpeg2 \
			video/x-ms-asf \
			video/x-ms-asf-plugin \
			video/x-msvideo \
			video/x-ms-wm \
			video/x-ms-wmv \
			video/x-ms-wvx \
			image/x-macpaint \
			video/x-quicktime \
			video/x-sgi-movie
		touch %{_mozillapath}/mozplugger.so
	fi
fi

%triggerin -- gv >= 3.6.1
if %{__grep} -q "gv -safer -quiet -antialias" %{_sysconfdir}/mozpluggerrc; then
	%{__perl} -pi -e "s/gv -safer -quiet -antialias/gv --safer --quiet --antialias/g" %{_sysconfdir}/mozpluggerrc
fi

%files
%doc README README.mozmimetypes
%{_bindir}/enable_mozmimetypes
%{_bindir}/disable_mozmimetypes
%{_bindir}/mozpluggerrc-sanitize
%{_bindir}/mozplugger-helper
%{_bindir}/mozplugger-linker
%{_bindir}/mozplugger-controller
%{_datadir}/mplayer/Skin/mini
%{_libdir}/netscape/plugins/mozplugger.so
%{_mozillapath}/mozplugger.so
%{_mandir}/man7/mozplugger.7*
%config(noreplace) %{_sysconfdir}/mozpluggerrc
%config(noreplace) %{_sysconfdir}/mozpluggerrc.default


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.14.6-2.mga3
+ Revision: 360323
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 luigiwalser <luigiwalser> 1.14.6-1.mga3
+ Revision: 339820
- 1.14.6
- rediff pulseaudio patch (from rosa)
- use geeqie instead of gqview (patch from rosa)

* Mon May 28 2012 luigiwalser <luigiwalser> 1.14.5-1.mga3
+ Revision: 248782
- 1.14.5

* Sat Feb 11 2012 luigiwalser <luigiwalser> 1.14.4-1.mga2
+ Revision: 207585
- 1.14.4
- fix source URL
- remove Patch2 (upstreamed)
- remove old Mandriva cruft
- replace references to mplayerplugin with gecko-mediaplayer in
- scripts
- fix replacing ooffice with libreoffice in mozpluggerrc

* Thu Sep 29 2011 fwang <fwang> 1.13.3-1.mga2
+ Revision: 150175
- tighten br

* Tue May 17 2011 dmorgan <dmorgan> 1.13.3-1.mga1
+ Revision: 99408
- imported package mozplugger

